petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatLMVMAllocate

Produces all necessary common memory for LMVM approximations based on the solution and function vectors provided. If MatSetSizes() and MatSetUp() have not been called before MatLMVMAllocate(), the allocation will read sizes from the provided vectors and update the matrix.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMAllocate(Mat B, Vec X, Vec F)

### Input Parameters

| B | - An LMVM-type matrix
| X | - Solution vector
| F | - Function vector

### See Also

MatLMVMReset(), MatLMVMUpdate()

### Level

intermediate

### Location

src/ksp/ksp/utils/lmvm/lmvmutils.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages